*{
    margin: 0px;
    padding: 0px;
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: large;
  font-weight: bold;
}

nav{
    background-color: #3b3a3a;
    color: white;
    display: grid;
    -ms-grid-columns: 30% 60%;
      grid-template-columns: 30% 60%;
    -webkit-column-gap: 10%;
          column-gap: 10%;
    padding: 0% 5%;
    padding-bottom: 0.6%;
}

nav .array-inputs {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 60% 40%;
        grid-template-columns: 60% 40%;
    place-content: center;
    padding: 5% 0%;
    padding-top: 7%;
    padding-bottom: 2%;
}

nav .array-inputs #a_size {
    padding: 5% 0%;
}
  
nav .array-inputs #a_speed {
    padding: 5% 0%;
}

nav .array-inputs #a_generate {
    margin-top: 3%;
    padding: 3% 0% 3% 0%;
}

nav .array-inputs #a_generate:hover {
    cursor: pointer;
}

/* nav .header_right {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
} */

nav .header_right .nav-heading {
    display: inline-block;
    font-size: xxx-large;
    padding: 2% 0%;
}

nav .header_right .algos {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: (16.66667%)[6];
        grid-template-columns: repeat(6, 16.66667%);
    place-content: center;
    padding: 2% 0%;
}

nav .header_right .algos button {
    /* background-color: transparent; */
    /* border: none; */
    /* color: white; */
    /* outline: none; */
    padding: 5% 0%;
    font-size: x-large;
}

nav .header_right .algos button:hover {
    background-color: rgb(168, 160, 255);
    cursor: pointer;
}

nav .header_right .algos .butt_locked {
    background-color: transparent;
    cursor: pointer;
}

nav .header_right .algos .butt_locked:hover {
    background-color: transparent;
    cursor: pointer;
}

nav .header_right .algos .butt_selected {
    background-color: white;
    color: green;
}
  
nav .header_right .algos .butt_selected:hover {
    background-color: white;
    cursor: pointer;
}
  
nav .header_right .algos .butt_unselected:hover {
    background-color: rgb(168, 160, 255);
    cursor: pointer;
}

section {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 20% 60% 20%;
        grid-template-columns: 20% 60% 20%;
}

section .Complexity_Containers {
    margin-top: 20%;
}

section .Complexity_Containers .Pair_Definitions {
    margin-top: 20%;
}

section .Complexity_Containers .Pair_Definitions p {
    display: inline;
}

section .Complexity_Containers .Pair_Definitions p.Sub_Heading {
    font-size: medium;
    text-transform: none;
}

section #Info_Cont1 {
    padding: 20% 10%;
}
  
section #Info_Cont1 h3 {
    text-decoration: underline;
}

section #array_container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    height: 70vh;
}

section #Info_Cont2 {
    padding: 20% 10%;
}

section #Info_Cont2 h3 {
    text-decoration: underline;
}
  
.hide {
    display: none;
}